Skip to navigation

Get account info v1

Access the attack status and risk score of an account on your application.

This endpoint will be deprecated in a few months. We recommend transitioning to our v2 Account Info API

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired
ID for an account

Query parameters

attack_typeslist of enumsOptional

The type(s) of attack(s) to check for on the account.

  • If the parameter is not sent, then all available attack types will be checked. The returned response will be based on your available attack types.

  • If two attack_types are sent, then the response will prioritize returning the attack with a Pending status.

    • If both are Pending, then the response will return the attack with the higher risk score.

    • Otherwise, the response will return the Resolved or Archived attack with the highest risk score.

For example, if the account has a Pending attack with a risk score of 60 and an Archived attack with a risk score of 100, then the response will return the Pending attack.

Allowed values:

Response

Success
account_idstringOptional
The ID for the account.
is_under_attackbooleanOptional

The status for the attack corresponding to the statuses displayed in the Account Defender portal.

true corresponds to Pending attacks.

false corresponds to:

  • Resolved or Archived attacks
  • The account does not exist
  • The account exists, but was never under attack.
is_manually_createdbooleanOptional

Whether the account was manually changed to be under attack. This response is only returned if the value is true.

risk_scoreintegerOptional0-100
The risk score for the attack.
existsbooleanOptional
Whether the requested account exists.

Errors

400
Bad Request Error
401
Unauthorized Error